@echo off
rem ****** DEFINE THE REFERENCE FILENAME ******
set REF_FILE=c:\today.ref

rem ****** CREATE THE REFERENCE FILE ******
udate +%%m%%d%%n | sed "s:$:0000:" > today.tmp
touch @today.tmp %REF_FILE%
rm -s %TEMP%\today.tmp
ls -l %REF_FILE%

rem ****** CONFIRM WHICH DRIVES TO SEARCH ****
wait_end inpbox -fex07.inp
call saveexit
rem ****** EXIT IF USER DOES NOT WANT TO CONTINUE ****
test -e 1 
if errorlevel 1 goto END

rem ****** DO THE SEARCH ******
uecho Searching files worked on today (to abort Ctrl-C) ...
sed "s: :\n:g" ex07.lst > %TEMP%\ex07b.lst
ufind @%TEMP%\ex07b.lst -show -newer %REF_FILE% -ls > %TEMP%\today.tmp
uecho Done ...

rem ****** SHOW THE RESULT ******
uecho -hFiles you worked on today (drives @ex07.lst ) > %TEMP%\ex07.hdr
wait_end txtbox -d %TEMP%\today.tmp @%TEMP%\ex07.hdr -l1 +1 -p0,0,60,60 -bOK

:END
